package com.gxzc.zen.web.sys.controller

import com.gxzc.zen.api.sys.service.ISysUserRoleService
import com.gxzc.zen.common.base.BaseController
import com.gxzc.zen.common.dto.ResponseDto
import io.swagger.annotations.ApiOperation
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*

/**
 *
 * @author NorthLan
 * @date 2018/5/10
 * @url https://noahlan.com
 */
@RestController
class UserRoleController : BaseController() {

    @Autowired
    private lateinit var userRoleService: ISysUserRoleService

    @ApiOperation("获取用户角色列表")
    @GetMapping("/user/{userId}/role/list")
    fun getRoleListByUserId(@PathVariable userId: Long): ResponseEntity<*> {
        return ResponseEntity.ok(ResponseDto().apply {
            this.data = userRoleService.getUserRoleListByUserId(userId)
        })
    }

    @ApiOperation("获取用户角色id列表")
    @GetMapping("/user/{userId}/role/idList")
    fun getRoleIdListByUserId(@PathVariable userId: Long): ResponseEntity<*> {
        return ResponseEntity.ok(ResponseDto().apply {
            this.data = userRoleService.getUserRoleIdListByUserId(userId)
        })
    }

    @ApiOperation("更新用户角色信息")
    @PutMapping("/user/{userId}/role")
    fun updateRoleByUserId(@PathVariable userId: Long, @RequestBody roleIds: List<Long>): ResponseEntity<*> {
        userRoleService.updateByUserId(userId, roleIds)
        return ResponseEntity.ok(ResponseDto())
    }
}